/*
 *
 *  Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied. See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.wso2.carbon.device.mgt.mobile.impl.ios.internal;

import org.wso2.carbon.device.mgt.core.service.DeviceManagementProviderService;
import org.wso2.carbon.device.mgt.ios.apns.service.PushNotificationService;
import org.wso2.carbon.device.mgt.mobile.impl.ios.enrollment.IOSEnrollmentTokenService;
import org.wso2.carbon.device.mgt.mobile.impl.ios.profile.IOSProfileService;
import org.wso2.carbon.registry.core.service.RegistryService;

public class IOSDeviceMgtDataHolder {

    private static IOSDeviceMgtDataHolder thisInstance = new IOSDeviceMgtDataHolder();
    private PushNotificationService pushNotificationService;
    private DeviceManagementProviderService deviceManagementService;
    private IOSProfileService profileService;
    private RegistryService registryService;
    private IOSEnrollmentTokenService tokenService;

    public PushNotificationService getPushNotificationService() {
        return pushNotificationService;
    }

    public void setPushNotificationService(PushNotificationService pushNotificationService) {
        this.pushNotificationService = pushNotificationService;
    }

    public RegistryService getRegistryService() {
        return registryService;
    }

    public void setRegistryService(RegistryService registryService) {
        this.registryService = registryService;
    }

    private IOSDeviceMgtDataHolder() {
    }

    public static IOSDeviceMgtDataHolder getInstance() {
        return thisInstance;
    }

    public DeviceManagementProviderService getDeviceManagementService() {
        return deviceManagementService;
    }

    public void setDeviceManagementService(DeviceManagementProviderService deviceManagerService) {
        this.deviceManagementService = deviceManagerService;
    }

    public IOSProfileService getProfileService() {
        return profileService;
    }

    public void setProfileService(IOSProfileService profileService) {
        this.profileService = profileService;
    }

    public IOSEnrollmentTokenService getTokenService() {
        return tokenService;
    }

    public void setTokenService(IOSEnrollmentTokenService tokenService) {
        this.tokenService = tokenService;
    }
}
